<?php
namespace Teknisa\CRM\Service;

class crm00001000ParametrizacaoCrmService {
    protected $parametrizacaoFactory;
    
    public function __construct($parametrizacaoFactory) {
        
        $this->parametrizacaoFactory = $parametrizacaoFactory;
        
    }
    
    public function callGetCrmParametrization($paramsSelectCrmParametrization){
        
        $crmParametrization = $this->parametrizacaoFactory->requestGetCrmParametrization($paramsSelectCrmParametrization);    
        return $crmParametrization;
    }
    
    public function createMododivulg($params){
        $mododivulg = $this->parametrizacaoFactory->getModoDivulgRDStation($params['NRORG']);
        //Cria Como chegou até nós se ainda não exisitir algum com IDRDSTATION = 'S'
        if(empty($mododivulg))
            $this->parametrizacaoFactory->createMododivulg($params);    
    }
    
}